Subject: RE: [Sipping] instance-ID for SIP UA / Device URI

From: Simonetti Gabrielle <[email-masked]>
Date: Tue, 26 Oct 2004 20:38:00 +0200

Dan,

The sentence that caused my confusion about the GRUU is the following (in section 3.13.1 of the configuration framework draft):
  "The approach to defining a user agent instance ID in for GRUU [I-D.ietf-sip-gruu] should be considered."
It sounds like the GRUU draft defines a format for the instance ID, which is not the case. If you want to leave the reference to the GRUU draft, I think this sentence should be changed to explain what is really suggested, i.e. that the same instance ID as the one used for GRUU could be used to retrieve the device profile. 
In addition, when recommending to use a URN as the format for the instance ID, why not include a non-normative reference to draft-mealling-uuid-urn-03 as an example?

Now regarding the hostname of the Device URI, the draft says: 
  "The host and port portion of the URI are set to that of the domain or address of the profile delivery server which manages that user agent."
Does that mean that the default domain corresponds to the domain of the device's constructor?

Thanks,
Gabrielle

> -----Original Message-----
> From: Daniel G. Petrie [mailto:[email-masked]]
> Sent: venerdì 22 ottobre 2004 20.29
> To: Paul Kyzivat
> Cc: Simonetti Gabrielle; [email-masked]
> Subject: Re: [Sipping] instance-ID for SIP UA

> 
> Yes the GRUU should not be used as the subscription URI for 
> configuration.  
> The instance-id is escaped and used as the user-id portion 
> when forming the 
> URI for subscription as described in sections 3.13.1 and 4.1 of 
> draft-ietf-sipping-config-framework-04.txt  Please let me know how
> I can clarify these sections if they have caused your confusion
> above on applying the instance-id.
> 
> > What is being suggested is that the gruu mechanism now uses 
> an instance
> > ID to identify the specific UA that is requesting the gruu, and that
> > that same instance ID could be used to retrieve the 
> "device" profile.
> > 
> > I believe the identity and uniqueness properties required by the two
> > applications are the same, so the same id seems appropriate.
> > 
> >         Paul
> > 

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to
[email-masked]. Thank you
====================================================================

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP